Summary:	Software version control visualization
Summary(pl.UTF-8):	Narzędzie wizualizujące kontrolę wersji
Name:		gource
Version:	0.43
Release:	2
License:	GPL v3+
Source0:	https://github.com/acaudwell/Gource/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	d2b601782692301f6d8ecc97dc85d3f7
Patch0:		gl-ac.patch
URL:		http://gource.googlecode.com/
Group:		X11/Applications
BuildRequires:	GLM
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-GLX-devel
BuildRequires:	SDL-devel >= 1.2
BuildRequires:	SDL_image-devel >= 1.2
BuildRequires:	freetype-devel
BuildRequires:	ftgl-devel >= 2.1.3
BuildRequires:	glew-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pcre-devel
BuildRequires:	pkgconfig
BuildRequires:	tinyxml-devel
BuildRequires:	xorg-lib-libX11-devel
Requires:	fonts-TTF-freefont
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Software projects are displayed by Gource as an animated tree with the
root directory of the project at its centre. Directories appear as
branches with files as leaves. Developers can be seen working on the
tree at the times they contributed to the project.

Currently there is first party support for Git and Mercurial, and
third party (using additional steps) for CVS and SVN.

%description -l pl.UTF-8
Gource wyświetla projekty software'owe jako animowane drzewo z
katalogiem głównym projektu w centrum. Podkatalogi przedstawione są w
postaci gałęzi, a pliki to liście. Developerzy widoczni są przy pracy
nad drzewem w czasie gdy rzeczywiście pracowali.

Na chwilę obecną Gource natywnie wspiera repozytoria Git i Mercurial.
Przy pomocy zewnętrznych narzędzi można również oglądać repozytoria
CVS i SVN.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	CC=%{__cxx} \
	--with-tinyxml \
	--enable-ttf-font-dir=%{_datadir}/fonts/TTF
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README THANKS
%attr(755,root,root) %{_bindir}/gource
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.tga
%{_datadir}/%{name}/*.style
%{_datadir}/%{name}/shaders
%{_mandir}/man1/gource.1*
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gource.git;a=log;h=master

* Sun Jul 12 2015 Jan Rękorajski <baggins@pld-linux.org> fb67e2d
- release 2 (by relup.sh)

* Sat Jun 27 2015 Jan Rękorajski <baggins@pld-linux.org> f31d148
- up to 0.43
- fixed GLU detection code
- for use c++ to configure for GLM detection code

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 7e68a3c
- rebuild with boost 1.57.0
- release 5 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0a6ed62
- rebuild with boost 1.56.0
- release 4 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> d46d4ac
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> e915d70
- - rebuild with boost 1.55.0
- release 2 (by relup.sh)

* Tue Jan 21 2014 Jan Rękorajski <baggins@pld-linux.org> 9ec2996
- updated to 0.40

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0600bd5
- release 2

* Thu Jan 05 2012 Paweł Gołaszewski <blues@pld-linux.org> 2e28bd5
- 0.37

* Thu Nov 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> bfa378c
- release 2

* Wed Aug 31 2011 Karol Krenski <charles@pld-linux.org> 7bf6d31
- updated to 0.35

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c9b194
- release 2

* Thu Apr 14 2011 Krzysztof Goliński <dirdival@pld-linux.org> eb3a662
- updated to 0.32

* Sat Feb 19 2011 sparky <sparky@pld-linux.org> d0da616
- dropped BR: gawk (false positive generated by cleanbuild)

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> 22e8a97
- BR: gawk, glew-devel

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> ecc5c64
- up to 0.31

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> cafb4ed
- use configure arg for system ttf font dir

* Sat Feb 19 2011 Elan Ruusamäe <glen@pld-linux.org> 69c24cb
- use system font package (old change)

* Mon Feb 22 2010 pawelz <pawelz@pld-linux.org> d9c9b1b
- reverted part of cosmetics

* Mon Feb 22 2010 wolf <wolf@pld-linux.org> 5c2056c
- cosmetics

